<?php
/**
 * @file
 * Create content hook and functions for the blog.module.
 */


/**
 * Implementation of hook_create_content() on behalf of the blog.module.
 */
function blog_create_content() {
  $context = array();

  $path = create_content_get_path();

  if (strpos($path, 'blog') === 0) {

    $context['blog'] = array(
      'allowed_types' => array('blog' => 'blog'),
    );

    if (user_access('administer nodes') && ($uid = arg(1))) {
      // Add username to query so that admins can add blog entry as a different user.
      $account = user_load(array('uid' => $uid));
      $context['blog']['query'] = 'edit[author][name]='. $account->name;
    }

  }

  return $context;
}
