<?php
/**
 * @file
 * Create content hook and functions for the book.module.
 */


/**
 * Implementation of hook_create_content() on behalf of the book.module.
 */
function book_create_content() {
  $node = create_content_node_load();

  // Make sure the node can have book pages added to it.
  if (empty($node) || empty($node->book) || empty($node->book['bid'])) {
    return;
  }

  $context = array();
  $book_allowed_types = variable_get('book_allowed_types', array('book'));
  $context['book'] = array(
    'query' => 'parent='. $node->book['mlid'],
    'allowed_types' => array_combine($book_allowed_types, $book_allowed_types),
  );
  return $context;
}
