<?php
/**
 * @file
 * Create content hook and functions for the node.module.
 */


/**
 * Implementation of hook_create_content() on behalf of the menu.module.
 */
function node_create_content() {
  $node = create_content_node_load();

  if (!$node) {
    return;
  }

  $allowed_types = variable_get('create_content_node_allowed_types', array());
  if (!isset($allowed_types[$node->type])) {
    return;
  }
  $context = array();
  $context['node'] = array(
    'allowed_types' => array($node->type => $node->type),
  );
  return $context;
}

/**
 * Implementation of hook_create_content_allowed_types().
 */
function node_create_content_allowed_types() {
  return node_get_types('names');
}
