<?php
/**
 * @file
 * Create content hook and functions for the taxonomy.module.
 */


/**
 * Implementation of hook_create_content() on behalf of the taxonomy.module.
 */
function taxonomy_create_content() {
  $context = array();

  list($vid, $tid) = taxonomy_create_content_get_info();
  if (!$vid) {
    return;
  }

  $vocabulary = taxonomy_vocabulary_load($vid);

  // If term exist create term context else create vocabulary context.
  if (!empty($tid)) {
    $context['taxonomy-term'] = array(
      'query' => 'edit[taxonomy]['. $vid .']='. $tid,
      'allowed_types' => $vocabulary->nodes,
    );
  }
  elseif ($vocabulary) {
    $context['taxonomy-vocabulary'] = array(
      'allowed_types' => $vocabulary->nodes,
    );
  }

  return $context;
}


////////////////////////////////////////////////////////////////////////////////
// Taxonomy module's Create content utility functions.
////////////////////////////////////////////////////////////////////////////////

/**
 * Get taxonomy info()
 */
function taxonomy_create_content_get_info() {
  $path = create_content_get_path();

  $tid = NULL;
  $vid = NULL;

  if (preg_match('#^taxonomy/vocabulary/(\d+)#', $path, $match)) {
    // Get vocabulary id (vid) from common custom vocabulary path.
    $vid = $match[1];
  }
  elseif (preg_match('#^taxonomy/term/(\d+)#', $path, $match)) {
    // Get term id (tid) and vocabulary id (vid) from term page's first tid.
    $tid = $match[1];
    $vid = db_result(db_query("SELECT vid FROM {term_data} WHERE tid=%d", $tid));
  }

  return array($vid, $tid);
}
