<?php
/**
 * @file
 * Create content hook and functions for the user.module.
 */


/**
 * Implementation of hook_create_content() on behalf of the user.module.
 */
function user_create_content() {
  $uid = user_create_content_get_info();
  if (!$uid) {
    return user_create_content_get_info();
  }
  $account = user_load($uid);
  $context = array();

  $types = node_get_types();
  $allowed_types = array();
  foreach ($types as $type) {
    if (node_access('create', array('type' => $type->type), $account)) {
      $allowed_types[] = $type->type;
    }
  }

  if (!$allowed_types) {
    return NULL;
  }

  $context['user'] = array(
    'query' => 'edit[author][name]='. $account->name,
    'allowed_types' => array_combine($allowed_types, $allowed_types),
  );
  return $context;
}

/**
 * Get user info()
 */
function user_create_content_get_info() {
  $path = create_content_get_path();
  if (preg_match('#^user/(\d+)#', $path, $match)) {
    return $match[1];
  }
  else {
    return NULL;
  }
}
