<?php
/**
 * @file
 * Create content hook and functions for the views_attach.module.
 *
 * Issues:
 * - Duplicate feed links created when a rss feed is executed more then once on a page.
 *   http://drupal.org/node/997168
 */


/**
 * Implementation of hook_create_content() on behalf of the views_attach.module.
 */
function views_attach_create_content() {
  $node = create_content_node_load();
  if (!$node) {
    return;
  }

  $context = array();

  if ($views = views_attach_get_node_views($node->type, 'full') ) { // See views_attach_nodeapi()
    $context['views_attach'] = array(
      'title' => $node->title,
      'allowed_types' => array(),
    );

    foreach ($views as $view_info) {
      $view = create_content_set_view($view_info['name'], $view_info['display']);
      $context['views_attach']['allowed_types'] += view_create_content_get_allowed_types($view);
    }
  }

  return $context;
}
