<?php
/**
 * @file
 * Create content hook and functions for the webform_report.module.
 */


/**
 * Implementation of hook_create_content() on behalf of the webform_report.module.
 */
function webform_report_create_content() {
  $node = create_content_node_load();
  if (!$node) {
    return;
  }

  $allowed_types = array();
  if (in_array($node->type, webform_variable_get('webform_node_types'))) {
    $allowed_types['webform_report'] = 'edit[wnid]='. $node->nid;
  }
  elseif ($node->type == 'webform_report') {
    // Let users create additional report from the webform report wnid.
    $allowed_types['webform_report'] = 'edit[wnid]='. $node->wnid;
  }
  else {
    return;
  }

  $context = array();
  $context['webform_report'] = array(
    'allowed_types' => $allowed_types,
  );
  return $context;
}
